Skip to content

Dispute Result Notification

Request

Dispute Result Notification

Bodyapplication/jsonrequired
event_typestring

Event Type

merchant_idstring

Merchant ID

merchant_namestring

Merchant Business Name

trans_idstring

Original Transaction Merchant Order Number

order_idstring

Original Transaction Gateway Order Number

dispute_idstring

Dispute ID

arnstring

ARN (if available, please provide)

card_binstring

Card BIN

card_last4string

Last 4 digits of card

payment_methodstring(Payment Method)

BankCard: Bank Card
eftpos: eftpos Australia
ApplePay: Apple Pay
GooglePay: Google Pay
WechatPayGlobal: WechatPayGlobal
AlipayPlus: Alipay+
AlipayHK: AlipayHK
SEPA: SEPA DirectDebit
Bancontact: Bancontact
EPS: EPS
iDEAL: iDEAL
P24: Online banking Poland, Przelewy24
Sofort: Sofort
BLIK: BLIK
OVO: OVO
Skrill: Skrill
Trustly: Trustly
GrabPay: GrabPay
Boost: Boost
Touch'n Go eWallet: Touch'n Go eWallet
Maybank QRPay: Maybank QRPay
ShopeePay: ShopeePay
LinePay: LinePay
9Pay: 9Pay
GCash: GCash
PayMaya: PayMaya
ZaloPay: ZaloPay
VietQR: VietQR
Pix: Pix
PicPay: PicPay
OpayWallet: OpayWallet
PromptPay: PromptPay
PayNow: PayNow
DuitNow: DuitNow
QRIS: QRIS
Bizum: Bizum
Dragonpay: Dragonpay
FPX: FPX Malaysia
MyBank: MyBank Italy
Multibanco: Multibanco
PayByBank: Pay By Bank
PayU: PayU
UPI: UPI
EstonianBanks: Estonian Online Banking
Verkkopankki: Finnish Online Banking
IndonesianBanks: Indonesian Online Banking
LatvianBanks: Latvian Online Banking
LithuanianBanks: Lithuanian Online Banking
ThaiBanks: Thai Online Banking
Bancomat: Bancomat
Alipay: Alipay
Amazon Pay: Amazon Pay
Cash App Pay: Cash App Pay
DOKU Wallet: DOKU Wallet
GoPay: GoPay
Jenius Pay: Jenius Pay
LinkAja: LinkAja
MB WAY: MB WAY
NuPay: NuPay
PayPal: PayPal
Satispay: Satispay
Swish: Swish
TWINT: TWINT
Wero: Wero

Enum:"BankCard""eftpos""ApplePay""GooglePay""WechatPayGlobal""AlipayPlus""AlipayHK""SEPA""Bancontact""EPS"
pay_finish_timestring, (date-time)

Original Transaction Completion Time

dispute_statusstring

Dispute status, values: WAITING_APPEAL, APPEALING, SUBMITTED, APPEAL_SUCCESS, APPEAL_FAILED, ACCEPTED_DISPUTE, OVERDUE_NON_APPEAL, CANCELED, DISCARDED, RDR_PROCESSING, RDR_ACCEPT, RDR_REJECT, RDR_EXPIRED, RDR_REFUND_PROCESSING, RDR_FINISHED

dispute_typestring

Dispute type, values: DISPUTE, V_RDR, ETHOCA

dispute_reasonstring

Dispute reason category, values: FRAUD, REGULAR, DUPLICATE, PRODUCT_UNACCEPTABLE, PRODUCT_NOT_RECEIVED, SUBSCRIPTION_CANCELED, CREDIT_NOT_PROCESSED, NOT_RECOGNIZED

reason_codestring

Reason Code

reason_code_descriptionstring

Reason Code Description

dispute_amountinteger, (int64)

Dispute Amount

dispute_currencystring(Currency; Pass the ISO 3166-1 supported currency three-letter code)

Currency; Pass the ISO 3166-1 supported currency three-letter code

Enum:"CNY""USD""JPY""RUB""EUR""GBP""HKD""AUD""CAD""INR"
Example:"USD"
order_amountinteger, (int64)

Original Transaction Amount

order_currencystring(Currency; Pass the ISO 3166-1 supported currency three-letter code)

Currency; Pass the ISO 3166-1 supported currency three-letter code

Enum:"CNY""USD""JPY""RUB""EUR""GBP""HKD""AUD""CAD""INR"
Example:"USD"
posting_datestring, (date)

Institution Dispute Time

dispute_timestring, (date-time)

Dispute Registration Time

due_timestring, (date-time)

Appeal Deadline

dispute_stagestringdeprecated

Dispute stage

POST
/v3/dispute/acq/NotifyUrlToYourUrl
curl -i -X POST \
  https://openapi-sandbox.paykka.com/v3/dispute/acq/NotifyUrlToYourUrl \
  -H 'Content-Type: application/json' \
  -d '{
    "event_type": "DISPUTE",
    "merchant_id": "18356675194960",
    "merchant_name": "Test Merchant",
    "trans_id": "m58129512",
    "order_id": "GW2056xxxxx2136685",
    "dispute_id": "DG20324325320129",
    "arn": "ARN20324325320129",
    "card_bin": "424242",
    "card_last4": "4242",
    "payment_method": "BANKCARD",
    "pay_finish_time": "2025-04-18T19:34:34+08:00",
    "dispute_stage": "DISPUTE_CREATED",
    "reason_code": "REASON_CODE",
    "reason_code_description": "Reason Code Description",
    "dispute_amount": 100,
    "dispute_currency": "EUR",
    "order_amount": 100,
    "order_currency": "EUR",
    "posting_date": "2025-04-18",
    "dispute_time": "2025-04-18T19:34:34+08:00",
    "due_time": "2025-04-18T19:34:34+08:00"
  }'

Responses

ok

Bodyapplication/json
Response
Notify Consumed
{ "ret_code": "000000", "ret_msg": "Success" }